## org.mortbay.jetty.client
Class Address

    java.lang.Object
      org.mortbay.jetty.client.Address

    public class Address

extends java.lang.Object

Version:
  $Revision: 3753 $ $Date: 2008-12-02 21:53:28 +1100 (Tue, 02 Dec 2008) $

Constructor Summary
`Address(java.lang.String host, int port)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static Address` `from(java.lang.String hostAndPort)`
`java.lang.String` `getHost()`
`int` `getPort()`
`int` `hashCode()`
`java.net.InetSocketAddress` `toSocketAddress()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Address

    public Address(java.lang.String host,
                   int port)

Method Detail

### from

    public static Address from(java.lang.String hostAndPort)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getHost

    public java.lang.String getHost()

### getPort

    public int getPort()

### toSocketAddress

    public java.net.InetSocketAddress toSocketAddress()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.